%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   MailTools
%define modv   2.08
%define modp   %(echo %{modn} | cut -d'T' -f1)


Summary:       Various mail-related Perl modules
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mark Overmeer <mark@overmeer.net>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.8.1
BuildRequires: perl(Config)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Net::Domain) >= 1.05
BuildRequires: perl(Net::SMTP) >= 1.03
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildArch:     noarch


%description
MailTools is a set of Perl modules related to mail applications.


%prep
%setup -q -n %{modn}-%{modv}

# Filter requires 
%{__cat} << \_EOF_ >%{name}-req
#!/bin/sh
%{__perl_requires} $* | \
	%{__sed} -e '/perl(Net::SMTP::SSL)/d'
_EOF_

%define __perl_requires %{_builddir}/%{modn}-%{modv}/%{name}-req
%{__chmod} +x %{name}-req


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Oct 06 2011 Peter Pramberger <peterpramb@member.fsf.org> - 2.08-1
- New version (2.08)

* Thu Nov 11 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.07-1
- New version (2.07)

* Thu Sep 09 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.06-1
- New version (2.06)

* Sun Nov 09 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.77-1
- Initial build
